io.undertow.websockets.core

## Interface WebSocketMessages

All Known Implementing Classes:
  WebSocketMessages_$bundle

    @MessageBundle(projectCode="UT")
    public interface WebSocketMessages

start at 20000

Author:
  Stuart Douglas

### Field Summary

Fields
`static WebSocketMessages` `MESSAGES`

### Method Summary

All Methods Instance Methods Abstract Methods
`IOException` `badCompressedPayload(DataFormatException cause)`
`IOException` `channelClosed()`
`WebSocketFrameCorruptedException` `continuationFrameOutsideFragmented()`
`WebSocketFrameCorruptedException` `controlFrameWithPayloadLen1()`
`WebSocketFrameCorruptedException` `extensionsNotAllowed(int rsv)`
`UnsupportedOperationException` `extensionsNotSupported()`
`WebSocketFrameCorruptedException` `fragmentedControlFrame()`
`WebSocketFrameCorruptedException` `frameNotMasked()`
`WebSocketInvalidCloseCodeException` `invalidCloseFrameStatusCode(int statusCode)`
`IllegalArgumentException` `invalidPayloadLengthForPing(long payloadLength)`
`UnsupportedEncodingException` `invalidTextFrameEncoding()`
`String` `messageCloseWebSocket()`
`String` `messageToBig(long maxMessageSize)`
`WebSocketFrameCorruptedException` `nonContinuationFrameInsideFragmented()`
`IOException` `noWebSocketConnectionHeader()`
`IOException` `noWebSocketUpgradeHeader()`
`WebSocketFrameCorruptedException` `reservedOpCodeInControlFrame(int opCode)`
`WebSocketFrameCorruptedException` `reservedOpCodeInDataFrame(int opCode)`
`IOException` `streamIsBroken()`
`WebSocketFrameCorruptedException` `toBigControlFrame()`
`IllegalStateException` `unableToSendOnNewChannel()`
`IllegalArgumentException` `unsupportedFrameType(WebSocketFrameType type)`
`IllegalStateException` `unsupportedOpCode(int opCode)`
`WebSocketHandshakeException` `unsupportedProtocol(String requestedSubprotocols, Collection<String> subprotocols)`
`IOException` `webSocketAcceptKeyMismatch(String dKey, String acceptKey)`

### Field Detail

#### MESSAGES

    static final WebSocketMessages MESSAGES

### Method Detail

#### channelClosed

    @Message(id=2002,
             value="Channel is closed")
    IOException channelClosed()

#### invalidTextFrameEncoding

    @Message(id=2003,
             value="Text frame contains non UTF-8 data")
    UnsupportedEncodingException invalidTextFrameEncoding()

#### fragmentedControlFrame

    @Message(id=2005,
             value="Fragmented control frame")
    WebSocketFrameCorruptedException fragmentedControlFrame()

#### toBigControlFrame

    @Message(id=2006,
             value="Control frame with payload length > 125 octets")
    WebSocketFrameCorruptedException toBigControlFrame()

#### reservedOpCodeInControlFrame

    @Message(id=2007,
             value="Control frame using reserved opcode = %s")
    WebSocketFrameCorruptedException reservedOpCodeInControlFrame(int opCode)

#### controlFrameWithPayloadLen1

    @Message(id=2008,
             value="Received close control frame with payload len 1")
    WebSocketFrameCorruptedException controlFrameWithPayloadLen1()

#### reservedOpCodeInDataFrame

    @Message(id=2009,
             value="Data frame using reserved opcode = %s")
    WebSocketFrameCorruptedException reservedOpCodeInDataFrame(int opCode)

#### continuationFrameOutsideFragmented

    @Message(id=2010,
             value="Received continuation data frame outside fragmented message")
    WebSocketFrameCorruptedException continuationFrameOutsideFragmented()

#### nonContinuationFrameInsideFragmented

    @Message(id=2011,
             value="Received non-continuation data frame while inside fragmented message")
    WebSocketFrameCorruptedException nonContinuationFrameInsideFragmented()

#### unsupportedOpCode

    @Message(id=2013,
             value="Cannot decode web socket frame with opcode: %s")
    IllegalStateException unsupportedOpCode(int opCode)

#### unsupportedFrameType

    @Message(id=2014,
             value="WebSocketFrameType %s is not supported by this WebSocketChannel\"")
    IllegalArgumentException unsupportedFrameType(WebSocketFrameType type)

#### extensionsNotAllowed

    @Message(id=2015,
             value="Extensions not allowed but received rsv of %s")
    WebSocketFrameCorruptedException extensionsNotAllowed(int rsv)

#### unsupportedProtocol

    @Message(id=2016,
             value="Could not find supported protocol in request list %s. Supported protocols are %s")
    WebSocketHandshakeException unsupportedProtocol(String requestedSubprotocols,
                                                                                                                                                                         Collection<String> subprotocols)

#### invalidPayloadLengthForPing

    @Message(id=2019,
             value="Invalid payload for PING (payload length must be <= 125, was %s)")
    IllegalArgumentException invalidPayloadLengthForPing(long payloadLength)

#### extensionsNotSupported

    @Message(id=2023,
             value="Extensions not supported")
    UnsupportedOperationException extensionsNotSupported()

#### invalidCloseFrameStatusCode

    @Message(id=2026,
             value="Invalid close frame status code: %s")
    WebSocketInvalidCloseCodeException invalidCloseFrameStatusCode(int statusCode)

#### streamIsBroken

    @Message(id=2027,
             value="Could not send data, as the underlying web socket connection has been broken")
    IOException streamIsBroken()

#### frameNotMasked

    @Message(id=2034,
             value="Web socket frame was not masked")
    WebSocketFrameCorruptedException frameNotMasked()

#### noWebSocketUpgradeHeader

    @Message(id=2035,
             value="The response did not contain an \'Upgrade: websocket\' header")
    IOException noWebSocketUpgradeHeader()

#### noWebSocketConnectionHeader

    @Message(id=2036,
             value="The response did not contain a \'Connection: upgrade\' header")
    IOException noWebSocketConnectionHeader()

#### webSocketAcceptKeyMismatch

    @Message(id=2037,
             value="Sec-WebSocket-Accept mismatch, expecting %s, received %s")
    IOException webSocketAcceptKeyMismatch(String dKey,
                                                                                                                                        String acceptKey)

#### messageToBig

    @Message(id=2040,
             value="Message exceeded max message size of %s")
    String messageToBig(long maxMessageSize)

#### badCompressedPayload

    @Message(id=2044,
             value="Compressed message payload is corrupted")
    IOException badCompressedPayload(@Cause
                                                                                                                 DataFormatException cause)

#### unableToSendOnNewChannel

    @Message(id=2045,
             value="Unable to send on newly created channel!")
    IllegalStateException unableToSendOnNewChannel()

#### messageCloseWebSocket

    @Message(id=2046,
             value="Closing WebSocket, peer went away.")
    String messageCloseWebSocket()